# $Revision: 1.14 $, $Date: 2010/04/21 11:28:16 $
Summary:	GeoLite City - City database for GeoIP
Summary(pl.UTF-8):	GeoLite City - baza danych miast dla GeoIP
Name:		GeoIP-db-City
# Updated every month:
Version:	2010.04.02
Release:	2
License:	OPEN DATA LICENSE (see LICENSE.txt)
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz
# Source0-md5:	9e0d13ea5a885bd1219793bddcde9013
Source1:	http://www.maxmind.com/download/geoip/database/LICENSE.txt
# Source1-md5:	a1381bd1aa0a0c91dc31b3f1e847cf4a
URL:		http://www.maxmind.com/app/geolitecity
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Determine country, state/region, city, US postal code, US area code,
metro code, latitude, and longitude information for IP addresses
worldwide.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
Znajdź państwo, stan/region, miasto, kod pocztowy, kod regionu, kod
miejski, szerokość i wysokość geograficzną dla adresów IP z całego
świata.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxWind, dostępne z <http://www.maxwind.com/>.

%prep
%setup -q -c -T
cp -a %{SOURCE0} .
cp -a %{SOURCE1} .

gunzip GeoLiteCity.dat.gz

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -a GeoLiteCity.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP
ln -s GeoLiteCity.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCity.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%dir %{_datadir}/GeoIP
%{_datadir}/GeoIP/*.dat

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: GeoIP-db-City.spec,v $
Revision 1.14  2010/04/21 11:28:16  glen
- .dat file doesn't need lib; rel 2

Revision 1.13  2010/04/17 22:43:57  charles
- up to 2010.04.02

Revision 1.12  2010/02/25 21:58:41  charles
- up to 2010.02.02

Revision 1.11  2009/11/14 12:12:34  wiget
- 2009.11.02

Revision 1.10  2009/10/24 11:39:03  charles
- updated to 2009.10.02

Revision 1.9  2009/09/06 14:23:22  radek
- up to 2009.09.02
- removed marketing message, added GeoIPCity.dat symlink

Revision 1.8  2009/08/10 22:00:44  zawadaa
- up to 2009.08.01

Revision 1.7  2009/05/06 10:29:07  amateja
- updated to 2009.05.03

Revision 1.6  2008/12/31 11:31:39  duddits
- up to 2008.12.02, Source0 URL updated

Revision 1.5  2008/03/20 22:47:24  undefine
- up to 2008.03.01

Revision 1.4  2007/11/05 08:58:54  undefine
- up to version from 2007.11.01

Revision 1.3  2007/08/24 20:49:34  qboosh
- pl

Revision 1.2  2007/08/06 15:04:39  blues
- md5

Revision 1.1  2007/08/06 14:31:34  blues
- City database
